kramdown:
  input: GFM
  toc_levels: 2..3

baseurl: "/http-server"
layouts_dir: ".shared/layout"
includes_dir: ".shared/includes"

exclude: ["Gemfile", "Gemfile.lock", "README.md", "vendor"]
safe: true

repository: amphp/http-server
plugins:
 - "jekyll-github-metadata"
 - "jekyll-relative-links"

defaults:
 - scope:
     path: ""
     type: "pages"
   values:
     layout: "docs"
     description: "Amp's HTTP server is a non-blocking HTTP/1.1 and HTTP/2 application server written in PHP."
     keywords: ["amphp", "amp", "http server", "http", "server", "application server", "php"]

shared_asset_path: "/http-server/asset"

navigation:
 - addons
 - io
 - performance
 - production
 - classes
